%global momorel 1
%global md5sum_src0 2eb448ae8ec536f4b6744882f02819d3

Name: perl-Compress-Zlib
Version: 2.005
Release: %{momorel}m%{?dist}
Summary: Compress-Zlib Perl module
License: GPL or Artistic
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/Compress/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.5
BuildRequires: perl-Compress-Raw-Zlib >= %{version}
BuildRequires: perl-IO-Compress-Base >= %{version}
BuildRequires: perl-IO-Compress-Zlib >= %{version}
%NoSource 0 http://www.cpan.org/modules/by-module/Compress/Compress-Zlib-%{version}.tar.gz %{md5sum_src0}

%description
Compress-Zlib Perl module
%prep
%setup -q -n Compress-Zlib-%{version} 

%build
CFLAGS="%{buildroot}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
perl -p -i -e 's,/usr/local/bin,/usr/bin,' examples/*

#find %{buildroot}/usr -type f -print | \
#	sed "s@^%{buildroot}@@g" | \
#	grep -v perllocal.pod | \
#	grep -v "\.packlist" > Compress-Zlib-1.16-filelist
#if [ "$(cat Compress-Zlib-1.16-filelist)X" = "X" ] ; then
#    echo "ERROR: EMPTY FILE LIST"
#    exit -1
#fi

%clean
rm -rf %{buildroot}

# %%files -f Compress-Zlib-1.16-filelist
%files
%defattr(-,root,root)
%doc Changes README examples
%{_mandir}/man3/*.3*
%{perl_vendorlib}/Compress/*.pm
%{perl_vendorlib}/auto/*/*/*
%{perl_vendorarch}/auto/Compress/Zlib

%changelog
* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.005-1m)
- update to 2.005

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.004-2m)
- use vendor

* Sun Mar  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.004-1m)
- update to 2.004

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.003-1m)
- update to 2.003

* Sat Dec 30 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.002-1m)
- update to 2.002

* Thu Nov  9 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.001-1m)
- update to 2.001
- add BuildRequires: perl-Compress-Raw-Zlib
- add BuildRequires: perl-IO-Compress-Base
- add BuildRequires: perl-IO-Compress-Zlib

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.42-1m)
- update to 1.42

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.41-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.41-1m)
- update to 1.41

* Mon Aug  1 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.35-1m)
- version up 1.35

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.34-1m)
- version up to 1.34
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.33-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.33-2m)
- remove Epoch from BuildPrereq

* Sat Jan 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.33-1m)

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.31-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.19-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.19-4m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.19-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.19-2m)
- rebuild against perl-5.8.0

* Wed Nov 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.19-1m)

* Thu Feb 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.16-2k)
- Kondarize.
- not use filelist

* Fri Feb 08 2002 cturner@redhat.com
- Specfile autogenerated
